#include <all_far.h>
#pragma hdrstop

#include "p_Int.h"

#define CH_OBJECT Assert( Object );

void WINAPI Pg_ResumeFile( HANDLE Object, CONSTSTR LocalFileName )                                   { CH_OBJECT ((PTrafficInformation)Object)->Resume(LocalFileName); }
void WINAPI Pg_Resume    ( HANDLE Object, TRINT size )                                               { CH_OBJECT ((PTrafficInformation)Object)->Resume(size); }
BOOL WINAPI Pg_Callback  ( HANDLE Object, int Size )                                                 { CH_OBJECT return ((PTrafficInformation)Object)->Callback(Size); }
void WINAPI Pg_Init      ( HANDLE Object, HANDLE h,int tMsg,int OpMode,PFTPItemList il )             { CH_OBJECT ((PTrafficInformation)Object)->Init(h,tMsg,OpMode,il); }
void WINAPI Pg_InitFile  ( HANDLE Object, PluginPanelItem *pi, CONSTSTR SrcName, CONSTSTR DestName ) { CH_OBJECT ((PTrafficInformation)Object)->InitFile(pi,SrcName,DestName); }
void WINAPI Pg_Skip      ( HANDLE Object )                                                           { CH_OBJECT ((PTrafficInformation)Object)->Skip(); }
void WINAPI Pg_Waiting   ( HANDLE Object, time_t paused )                                            { CH_OBJECT ((PTrafficInformation)Object)->Waiting(paused); }
void WINAPI Pg_SetConn   ( HANDLE Object, HANDLE Connection )                                        { CH_OBJECT ((PTrafficInformation)Object)->SetConnection(Connection); }

HANDLE WINAPI Pg_CreateObject( void )
  {
  return new TrafficInformation;
}
void WINAPI Pg_DestroyObject( HANDLE Object )
  {
    delete ((PTrafficInformation)Object);
}

PFTPPluginInterface FP_DECLSPEC FTPPluginGetInterface( void )
  {  static ProgressInterface Interface;

     Interface.Magic         = FTP_PROGRESS_MAGIC;
     Interface.CreateObject  = Pg_CreateObject;
     Interface.DestroyObject = Pg_DestroyObject;
     Interface.ResumeFile    = Pg_ResumeFile;
     Interface.Resume        = Pg_Resume;
     Interface.Callback      = Pg_Callback;
     Interface.Init          = Pg_Init;
     Interface.InitFile      = Pg_InitFile;
     Interface.Skip          = Pg_Skip;
     Interface.Waiting       = Pg_Waiting;
     Interface.SetConnection = Pg_SetConn;

 return &Interface;
}

BOOL FP_DECLSPEC FTP_PluginStartup( DWORD Reason )
  {
 return TRUE;
}
