#ifndef __FAR_PLUGIN_FTP_LANGUAGE
#define __FAR_PLUGIN_FTP_LANGUAGE

enum {
  MNone__,
  MLanguage,
  MOk,
  MYes,
  MNo,
  MSkip,
  MRetry,
  MCancel,
  MCopy,
  MError,

  MFtpDiskMenu,
  MFtpMenu,

  MShiftF4,
  MShiftF7,
  MAltF6,

  MConfigTitle,
  MConfigAddToDisksMenu,
  MConfigAddToPluginsMenu,
  MConfigDizNames,
  MConfigReadDiz,
  MConfigUpdateDiz,
  MConfigUploadLowCase,
  MConfigUploadDialog,
  MConfigDefaultResume,
  MConfigDefPassword,
  MConfigFirewall,
  MConfigPassiveMode,

  MCannotConnectTo,
  MConnectionLost,
  MRestore,

  MWaitingForResponse,
  MSendingName,
  MPasswordName,
  MRequestingFolder,

  MFtpTitle,
  MEditFtpTitle,
  MEnterFtpTitle,
  MSaveFTPTitle,
  MFtpName,
  MUser,
  MPassword,
  MHostDescr,
  MAskLogin,
  MAsciiMode,
  MPassiveMode,
  MUseFirewall,
  MFtpSave,
  MFtpConnect,
  MFtpSelectTable,

  MFtpInfoFTPClient,
  MFtpInfoHostName,
  MFtpInfoHostDescr,
  MFtpInfoHostType,
  MFtpInfoFtpTitle,

  MRenameTitle,

  MDownloadTitle,
  MDownloadTo,
  MDownloadAscii,
  MDownload,
  MDownloadCancel,
  MCannotDownload,

  MUploadTitle,
  MUploadTo,
  MUploadAscii,
  MUpload,
  MUploadCancel,
  MCannotUpload,

  MAlreadyExist,
  MAlreadyExistRO,
  MAskOverwrite,
  MOverwrite,
  MOverwriteAll,
  MCopySkip,
  MCopySkipAll,
  MCopyResume,
  MCopyCancel,

  MStatusDownload,
  MStatusUpload,
  MStatusCPS,
  MStatusTotal,
  MStatusTime,

  MDeleteTitle,
  MDeleteFiles,
  MDeleteNumberOfFiles,
  MDeleteFolder,

  MDeleteHostsTitle,
  MDeleteHosts,
  MDeleteNumberOfHosts,
  MDeleteHostFolder,

  MDeleteDelete,
  MDeleteCancel,

  MDeleteGroupDelete,
  MDeleteGroupAll,
  MDeleteGroupCancel,

  MCannotDelete,

  MDeleting,

  MMkdirTitle,
  MMkdirName,
  MChDir,

  MCopyHostTitle,
  MCopyHostTo,
  MMoveHostTitle,
  MMoveHostTo,

  MCannotCopyHost,
  MHostAlreadyExist,
  MHostAskOverwrite,

  MLoginInfo,
  MUserName,
  MUserPassword,

  MHostColumn,
  MUserColumn,
  MHomeColumn,
  MDescColumn,
  MFileMode,

  MTableTitle,
  MTableAuto,
  MTableDefault,

  MChmodTitle,
  MCannotChmod,
  MChangingAttr,

//JM
  MTerminateOp,
  MTerminateConnection,
  MAttention,
  MLogFileName,
  MIntError,
  MCreateDirError,
  MChangeDirError,
  MNotPlainFile,
  MProxyNoThird,
  MNotConnected,
  MCopyResumeAll,

  MResmResume,
  MResmSupport,
  MResmNotSupport,
  MResmNotConnected,

  MWaiting,
  MSeconds,
  MScaning,
  MAutoRetryText,
  MRetryText,

  MWSAEINTR,
  MWSAEBADF,
  MWSAEACCES,
  MWSAEFAULT,
  MWSAEINVAL,
  MWSAEMFILE,
  MWSAEWOULDBLOCK,
  MWSAEINPROGRESS,
  MWSAEALREADY,
  MWSAENOTSOCK,
  MWSAEDESTADDRREQ,
  MWSAEMSGSIZE,
  MWSAEPROTOTYPE,
  MWSAENOPROTOOPT,
  MWSAEPROTONOSUPPORT,
  MWSAESOCKTNOSUPPORT,
  MWSAEOPNOTSUPP,
  MWSAEPFNOSUPPORT,
  MWSAEAFNOSUPPORT,
  MWSAEADDRINUSE,
  MWSAEADDRNOTAVAIL,
  MWSAENETDOWN,
  MWSAENETUNREACH,
  MWSAENETRESET,
  MWSAECONNABORTED,
  MWSAECONNRESET,
  MWSAENOBUFS,
  MWSAEISCONN,
  MWSAENOTCONN,
  MWSAESHUTDOWN,
  MWSAETOOMANYREFS,
  MWSAETIMEDOUT,
  MWSAECONNREFUSED,
  MWSAELOOP,
  MWSAENAMETOOLONG,
  MWSAEHOSTDOWN,
  MWSAEHOSTUNREACH,
  MWSAENOTEMPTY,
  MWSAEPROCLIM,
  MWSAEUSERS,
  MWSAEDQUOT,
  MWSAESTALE,
  MWSAEREMOTE,
  MWSASYSNOTREADY,
  MWSAVERNOTSUPPORTED,
  MWSANOTINITIALISED,
  MWSAEDISCON,
  MWSAHOST_NOT_FOUND,
  MWSATRY_AGAIN,
  MWSANO_RECOVERY,
  MWSANO_DATA,
  MWSANO_ADDRESS,

  MWSAEUnknown,
  MWSANotInit,
  MKeepAliveExec,
  MConnecting,
  MErrRename,
  MErrOtherRename,

  MResolving,
  MWaitingForConnect,

  MHostsMode,
  MKeepAlive,
  MAutoRetry,
  MLongOp,
  MAskAbort,
  MDigitDelimit,
  MExtWindow,
  MExtSize,
  MHostIOSize,
  MSec, MKBytes,
  MLogFilename,
  MLogDir,
  MWaitTimeout,
  MShowIdle,
  MColor,
  MScreen, MCaption, MBoth,
  MSilentText,

  MColorTitle,
  MColorFore,
  MColorBk,
  MColorColorSet,
  MColorText,

  MShiftF1,
  MUtilsExtCmd,
  MUtilsDir,
  MUtilsCmd,
  MErrorTempFile,
  MDirTitle,
  MUtilsLog,
  MLogTitle,
  MUtilsCaption,
  MExtList,
  MUtilsPassive,
  MUtilsASCII,
  MUtilsProcessCmd,

  MReaded,

  MInclude,
  MExclude,
  MDoNotScan,
  MSelectFromList,
  MDefOverwrite,
  MOverAsk,
  MOverOver,
  MOverSkip,
  MOverResume,

  MListTitle,
  MListFooter,

  MBtnOverwrite,
  MBtnCopySkip,
  MBtnCopyResume,
  MBtnCopyCancel,
  MBtnOverwriteAll,
  MBtnCopySkipAll,
  MBtnCopyResumeAll,
  MBtnCopyNew,
  MBtnCopyExisting,

  MNoVersion_txt1,
  MNoVersion_txt2,

  MCanNotMoveFolder,

  MOldHostFormatTitle,
  MOldHostFormat1,
  MOldHostFormat2,
  MOldHostFormat3,
  MOldHostConvert,

  mNoNe
};

#endif
